Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 9834)
+++ /trunk/BNC/src/bnchelp.html	(revision 9835)
@@ -1,4 +1,6 @@
 <!doctype html>
 <html lang="en">
+
+
 <head>
   <meta charset="utf-8"/>
@@ -6,4 +8,10 @@
   <title>BKG Ntrip Client | Help</title>
   <style>
+    html *{
+      font-size: 1em !important;
+      color: #000 !important;
+      font-family: Veranda, sans-serif;
+    }
+
     .center {
       text-align: center;
@@ -58,5 +66,5 @@
  <a href="http://igs.bkg.bund.de/ntrip/download" target="_blank">http://igs.bkg.bund.de/ntrip/download</a>.
  <br>
- Copyright &copy;<sup>&nbsp;</sup> 2005-2018 Federal Agency for Cartography and Geodesy (BKG), Frankfurt, Germany
+ Copyright &copy;<sup>&nbsp;</sup> 2005-2022 Federal Agency for Cartography and Geodesy (BKG), Frankfurt, Germany
 </p>
 <br>
@@ -346,5 +354,4 @@
   <li><a href="http://igs-ip.net/home" target="_blank">http://igs-ip.net/home</a></li>
   <li><a href="http://products.igs-ip.net/home" target="_blank">http://products.igs-ip.net/home</a></li>
-  <li><a href="http://mgex.igs-ip.net/home" target="_blank">http://mgex.igs-ip.net/home</a></li>
 </ul>
 or similar caster installation.
@@ -353,10 +360,9 @@
 <p>
 <b>Documentation</b><br><br>
-BNC provides context-sensitive help (<i>What's This</i>) related to specific objects. It furthermore comes with the
-here presented documentation, available as part of the software and as a PDF file. Responsible for offline
-documentation as well as online documentation at
+BNC provides context-sensitive help (<i>What's This</i>) related to specific objects.
+Furthermore, it comes with severl example configurations. The here presented documentation
+is available as part of the software, as a PDF file and can be find as well as an online documentation:
 <a href="http://software.rtcm-ntrip.org/export/HEAD/ntrip/trunk/BNC/src/bnchelp.html"
-target="_blank">http://software.rtcm-ntrip.org/export/HEAD/ntrip/trunk/BNC/src/bnchelp.html</a> and the example
-configurations is Dr. Georg Weber.
+target="_blank">http://software.rtcm-ntrip.org/export/HEAD/ntrip/trunk/BNC/src/bnchelp.html</a>.
 </p>
 
@@ -370,17 +376,21 @@
 <ul>
   <li>Oliver Montenbruck, German Space Operations Center, DLR, Oberpfaffenhofen, Germany published a RTCM Version 2 decoder
-    unter GNU GPL which has been integrated in BNC.</li>
-  <li>Thomas Yan, Australian NSW Land and Property Information, proofread earlier versions of BNC's Help Contents.
-     Up to Version 2.11 he also provides builds of BNC for Mac OS X systems.</li>
-  <li>Scott Glazier, OmniSTAR Australia, has been helpful in finding BNC bugs in version 1.5.</li>
-  <li>James Perlt, BKG, helped fixing bugs and redesigned BNC's main window in version 1.5.</li>
-  <li>Andre Hauschild, German Space Operations Center, DLR, revised the RTCM Version 2 decoder.</li>
+      unter GNU GPL which has been integrated in BNC.</li>
+  <li>Andre Hauschild, German Space Operations Center, DLR, revised the RTCM Version 2 decoder and has provided a lot of hints
+      regarding bugs and new features.</li>
   <li>Zdenek Lukes, Czech Technical University Prague, Department of Geodesy, extended the RTCM Version 2 decoder to handle
       message types 3, 20, 21, and 22 and added the loss of lock indicator.</li>
-  <li>Jan Dousa, Geodetic Observatory Pecny, Czech Republic, helped with fixing bugs in version 2.5.</li>
+  <li>Lennard Huisman, Kadaster Netherlands, and Rolf Dach, Astronomical Institute University of Bern, assisted in handling
+      satellite clocks in transformations from ITRF to regional reference frames.</li>
   <li>Denis Laurichesse, Centre National d'Etudes Spatiales (CNES), suggested synchronizing observations and clock
       corrections to reduce high frequency noise in PPP solutions.</li>
-  <li>Lennard Huisman, Kadaster Netherlands, and Rolf Dach, Astronomical Institute University of Bern, assisted in handling
-      satellite clocks in transformations from ITRF to regional reference frames.</li>
+  <li>Alexis Blot, Centre National d'Etudes Spatiales (CNES), has provided a lot of hints regarding bugs and new features.
+      Furthermore he has helped in the interoperability tests of RTCM-SSR and IGS-SSR format as well as the therefore used RTNET Interface.</li>
+  <li>Loukis Agrotis, Symban Ltd, has provided a lot of hints regarding bugs and new features.</li>
+  <li>Erwin Wiesensarter, Federal Agency for Cartography and Geodesy (BKG), provides actual builds of BNC for several Linux operating
+      systems as well as for Mac OS X systems. Furthermore, he has provided some helpful scripts available under
+      <a href="https://software.rtcm-ntrip.org/export/HEAD/ntrip/trunk/BNC/scripts"target="_blank">http://software.rtcm-ntrip.org/export/HEAD/ntrip/trunk/BNC/scripts</a>.</li>
+  <li>Peter Neumaier, Federal Agency for Cartography and Geodesy (BKG), provide the Windows MSI File and helps a lot
+      regarding testing and user support.</li>
 </ul>
 </p>
@@ -398,5 +408,5 @@
 <p> BNC was designed to serve the following purposes:
 <ul>
-  <li>Retrieve real-time GNSS data streams available through Ntrip transport protocol</li>
+  <li>Retrieve real-time GNSS data streams available through the Ntrip transport protocol</li>
   <li>Retrieve real-time GNSS data streams via TCP directly from an IP address without using the Ntrip transport protocol</li>
   <li>Retrieve real-time GNSS data streams from a local UDP or serial port without using the Ntrip transport protocol</li>
@@ -404,27 +414,31 @@
   <li>Generate RINEX Observation and Navigation files to support near real-time GNSS post processing applications</li>
   <li>Edit or concatenate RINEX files or carry out RINEX Quality Checks (QC)</li>
-  <li>Convert RINEX Version 2 to RINEX Version 3 and vice versa</li>
+  <li>Handle RINEX Versions 2, 3 and 4 Observation and Navigation files</li>
   <li>Compare SP3 files containing satellite orbit and clock data</li>
-  <li>Generate orbit and clock corrections to Broadcast Ephemeris through an IP port to</li>
+  <li>Generate State Space Represenation (SSR) messages through an IP port to</li>
     <ul>
        <li>support real-time Precise Point Positioning on GNSS rovers</li>
        <li>support the (outside) combination of such streams as coming simultaneously from various correction providers</li>
     </ul>
-  <li>Generate ephemeris and synchronized or unsynchronized observations epoch by epoch through an IP port to support real-time GNSS network engines</li>
+  <li>Generate ephemeris and synchronized or unsynchronized observations epoch by epoch through an IP port
+      to support real-time GNSS network engines</li>
   <li>Feed a stream into a GNSS receiver via serial communication link</li>
   <li>Monitor the performance of a network of real-time GNSS data streams to generate advisory notes in case of outages or corrupted streams</li>
-  <li>Scan RTCM streams for incoming antenna information, observation types, message types and repetition rates and latencies and GLONASS slot numbers and frequency channels</li>
+  <li>Scan RTCM streams for incoming antenna information, observation types, message types and repetition rates and latencies
+      and GLONASS slot numbers and frequency channels</li>
   <li>Carry out real-time Precise Point Positioning to determine GNSS rover positions</li>
   <li>Enable multi-station Precise Point Positioning for simultaneous processing of observations from a whole network of receivers</li>
-  <li>Plot positions derived via PPP from RTCM streams or RINEX files on maps from Google Map or OpenStreetMap</li>
-  <li>Simultaneously process several Broadcast Correction streams to produce, encode and upload combined Broadcast Corrections</li>
+  <li>Plot positions derived via PPP from RTCM streams or RINEX files on maps from OpenStreetMap</li>
+  <li>Simultaneously process several SSR streams to produce, encode and upload combined SSR streams</li>
   <li>Estimate real-time tropospheric zenith path delays and save them in SINEX troposphere file format</li>
-  <li>Read GNSS orbits and clocks in a plain ASCII format from an IP port. They can be produced by a real-time GNSS engine such as RTNET and should be referenced to the IGS Earth-Centered-Earth-Fixed (ECEF) reference system. BNC will then</li>
+  <li>Read GNSS orbits and clocks in a plain ASCII format from an IP port. They can be produced by a real-time GNSS engine
+      and should be referenced to the IGS Earth-Centered-Earth-Fixed (ECEF) reference system. BNC will then</li>
     <ul>
       <li>Convert the IGS Earth-Centered-Earth-Fixed orbits and clocks into Broadcast Corrections with radial, along-track and out-of-plane components</li>
-      <li>Upload Broadcast Corrections as an RTCM Version 3 stream to an Ntrip Broadcaster</li>
+      <li>Upload Broadcast Corrections as an RTCM-SSR or IGS-SSR stream to an Ntrip Broadcaster</li>
       <li>Refer the orbit and clock corrections to a specific reference system</li>
-      <li>Log the Broadcast Corrections as Clock RINEX files for further processing using other tools than BNC</li>
-      <li>Log the Broadcast Corrections as SP3 files for further processing using other tools than BNC</li>
+      <li>Log the Broadcast Clock Corrections as Clock RINEX files for further processing using other tools than BNC</li>
+      <li>Log the Broadcast Orbit and Clock Corrections as SP3 files for further processing using other tools than BNC</li>
+      <li>Log the Code and Phase Biases as SINEX Bias files for further processing using other tools than BNC</li>
     </ul>
   <li>Upload a Broadcast Ephemeris stream in RTCM Version 3 format;</li>
@@ -438,9 +452,10 @@
 <ul>
   <li>RTCM Version 2 message types</li>
-  <li>RTCM Version 3 'conventional' message types</li>
+  <li>RTCM Version 3 legacy message types</li>
+  <li>RTCM Version 3 Multiple Signal Messages (MSM) and High Precision Multiple Signal Messages (HP MSM)</li>
   <li>RTCM Version 3 message types for Broadcast Ephemeris</li>
-  <li>RTCM Version 3 'State Space Representation' (SSR) messages</li>
-  <li>RTCM Version 3 'Multiple Signal Messages' (MSM) and 'High Precision Multiple Signal Messages' (HP MSM)</li>
-  <li>RTNET, a plain ASCII format defined within BNC to receive orbits and clocks from a serving GNSS engine
+  <li>RTCM Version 3 State Space Representation (SSR) messages</li>
+  <li>IGS State Space Representation (SSR) Version 1 messages</li>
+  <li>RTNET, a plain ASCII format defined within BNC to receive SSR informations from a serving GNSS engine</li>
 </ul>
 </p>
@@ -451,11 +466,12 @@
 <p>
 <ul>
-  <li>RINEX Version 2.11 & 3.03, Receiver Independent Exchange format for observations, navigation and meteorological data</li>
-  <li>SINEX Version 2.10, Solution Independent Exchange format for station position and velocity solutions</li>
-  <li>SINEX TRO Draft Version 2.00, Troposphere Solution Independent Exchange format for zenith path delay products</li>
-  <li>SP3 Version c format for orbit solutions</li>
-  <li>Clock RINEX Version 3.02 format for station and satellite clock solutions</li>
+  <li>RINEX Version 2.11, 3.x and 4.x, Receiver Independent Exchange format for observation and navigation data</li>
+  <li>The Extended Standard Product 3 Orbit Format SP3-d</li>
+  <li>Clock RINEX Version 3.02 format for (station and) satellite clock solutions</li>
+  <li>SINEX BIAS — Solution (Software/technique) INdependent EXchange Format for GNSS Biases Version 1.00</li>
+  <li>SINEX TRO — Solution (Software/technique) INdependent EXchange Format for TROpospherican meteorological parameters Version 2.0
   <li>ANTEX Version 1.4, Antenna Exchange format for Antenna Phase Center variations</li>
   <li>NMEA Version 0813, National Marine Electronics Association format for satellite navigation data</li>
+  <li>A plain ASCII format defined within BNC to save all SSR informations within a file</li>
 </ul>
 </p>
@@ -463,5 +479,5 @@
 <p>
 Note that BNC allows to by-pass decoding and conversion algorithms for incoming streams, leaves whatever is received
-untouched to save it in files or output it through local TCP/IP port.
+untouched to save it in files or output it through a local TCP/IP port.
 </p>
 
@@ -472,6 +488,7 @@
 latest BNC version. Application areas named here are:
 <ul>
-  <li>Decoding of RTCM or RTNET streams</li>
-  <li>RINEX and SP3 file input and output</li>
+  <li>Decoding of RTCM, RTCM-SSR, IGS-SSR and RTNET streams</li>
+  <li>RINEX and SINEX Bias file input and output</li>
+  <li>SINEX TRO and SP3 file output</li>
   <li>Encoding of SSR and ephemeris messages</li>
   <li>Upload of SSR and ephemeris messages</li>
@@ -496,10 +513,10 @@
 <tr align="center"> <td>1019</td> <td>Ephemeris</td>                  <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 <tr align="center"> <td>1020</td> <td>Ephemeris</td>                  <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
-<tr align="center"> <td>1045</td> <td>Ephemeris</td>                  <td>Galileo F/Nav</td> <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1046</td> <td>Ephemeris</td>                  <td>Galileo I/Nav</td> <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1043</td> <td>Ephemeris</td>                  <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1044</td> <td>Ephemeris</td>                  <td>QZSS</td>          <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1042</td> <td>Ephemeris</td>                  <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1041</td> <td>Ephemeris</td>                  <td>IRNSS</td>         <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>1045</td> <td>Ephemeris</td>                  <td>Galileo F/Nav</td> <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1046</td> <td>Ephemeris</td>                  <td>Galileo I/Nav</td> <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1043</td> <td>Ephemeris</td>                  <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1044</td> <td>Ephemeris</td>                  <td>QZSS</td>          <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1042</td> <td>Ephemeris</td>                  <td>BDS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1041</td> <td>Ephemeris</td>                  <td>IRNSS</td>         <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
 
 <tr align="center"> <td><b><br>Observation</b></td> <td></td>         <td></td>              <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
@@ -519,22 +536,22 @@
 <tr align="center"> <td>1057</td> <td>Orbit Corrections</td>          <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 <tr align="center"> <td>1063</td> <td>Orbit Corrections</td>          <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
-<tr align="center"> <td>1240</td> <td>Orbit Corrections</td>          <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1246</td> <td>Orbit Corrections</td>          <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1252</td> <td>Orbit Corrections</td>          <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1258</td> <td>Orbit Corrections</td>          <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>1240</td> <td>Orbit Corrections</td>          <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1246</td> <td>Orbit Corrections</td>          <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1252</td> <td>Orbit Corrections</td>          <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1258</td> <td>Orbit Corrections</td>          <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 
 <tr align="center"> <td>1058</td> <td>Clock Corrections</td>          <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 <tr align="center"> <td>1064</td> <td>Clock Corrections</td>          <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
-<tr align="center"> <td>1241</td> <td>Clock Corrections</td>          <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1247</td> <td>Clock Corrections</td>          <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1253</td> <td>Clock Corrections</td>          <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1259</td> <td>Clock Corrections</td>          <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-
-<tr align="center"> <td>1059</td> <td>Code Biases</td>                <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1065</td> <td>Code Biases</td>                <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1242</td> <td>Code Biases</td>                <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1248</td> <td>Code Biases</td>                <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1254</td> <td>Code Biases</td>                <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1260</td> <td>Code Biases</td>                <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>1241</td> <td>Clock Corrections</td>          <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1247</td> <td>Clock Corrections</td>          <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1253</td> <td>Clock Corrections</td>          <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1259</td> <td>Clock Corrections</td>          <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+
+<tr align="center"> <td>1059</td> <td>Code Biases</td>                <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1065</td> <td>Code Biases</td>                <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1242</td> <td>Code Biases</td>                <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1248</td> <td>Code Biases</td>                <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1254</td> <td>Code Biases</td>                <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1260</td> <td>Code Biases</td>                <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 
 <tr align="center"> <td>1061, 1062</td> <td>User Range Accuracy, HR&nbsp;</td> <td>GPS</td>        <td> </td> <td>x</td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
@@ -547,10 +564,10 @@
 <tr align="center"> <td>1060</td> <td>Comb. Orbits & Clocks</td>      <td>GPS</td>           <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 <tr align="center"> <td>1066</td> <td>Comb. Orbits & Clocks</td>      <td>GLONASS</td>       <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
-<tr align="center"> <td>1243</td> <td>Comb. Orbits & Clocks</td>      <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-<tr align="center"> <td>1249</td> <td>Comb. Orbits & Clocks</td>      <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1255</td> <td>Comb. Orbits & Clocks</td>      <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>1261</td> <td>Comb. Orbits & Clocks</td>      <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
-
-<tr align="center"> <td><b><br>RTCM SSR II</b></td> <td></td>         <td></td>             <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
+<tr align="center"> <td>1243</td> <td>Comb. Orbits & Clocks</td>      <td>Galileo</td>       <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+<tr align="center"> <td>1249</td> <td>Comb. Orbits & Clocks</td>      <td>SBAS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1255</td> <td>Comb. Orbits & Clocks</td>      <td>QZSS</td>          <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> <td>x</td> </tr>
+<tr align="center"> <td>1261</td> <td>Comb. Orbits & Clocks</td>      <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
+
+<tr align="center"> <td><b><br>RTCM SSR II</b></td> <td></td>         <td></td>             <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td>  </td> </tr>
 <tr align="center"> <td>1264</td> <td>VTEC</td>                       <td>GNSS </td>         <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
 <tr align="center"> <td>1265</td> <td>Phase Biases</td>               <td>GPS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
@@ -561,5 +578,5 @@
 <tr align="center"> <td>1270</td> <td>Phase Biases</td>               <td>BDS</td>           <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
 <tr align="center"> <td><b><br>IGS SSR</b></td> <td></td>             <td></td>              <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> <td> </td> </tr>
-<tr align="center"> <td>4076</td> <td>IGS SSR</td>                    <td>GNSS </td>         <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td> </td> </tr>
+<tr align="center"> <td>4076</td> <td>IGS SSR</td>                    <td>GNSS </td>         <td> </td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> <td>x</td> </tr>
 
 </table>
@@ -570,31 +587,36 @@
 <p>
 BNC can be used in different contexts with varying data flows. Typical real-time communication follows the Ntrip protocol
-over TCP/IP (probably via SSL), RTSP/RTP or UDP, plain TCP/IP protocol, or serial communication links.
-Stream content could be observations, ephemeris, satellite orbit/clock products or NMEA sentences.
+over TCP/IP (also via SSL), RTSP/RTP or UDP, plain TCP/IP protocol, or serial communication links.
+Stream content could be observations, ephemeris, SSR products or NMEA sentences.
 </p>
 <p>
 The first of the following figures shows a flow chart of BNC connected to a GNSS receiver providing observations via
-serial or TCP communication link for the purpose of Precise Point Positioning. The second figure shows the conversion
-of RTCM streams to RINEX files. The third figure shows a flow chart of BNC feeding a real-time GNSS engine which
-estimates precise orbits and clocks. BNC is used in this scenario to encode correctors to RTCM Version 3 and upload
-them to an Ntrip Broadcaster. The fourth figure shows BNC combining several Broadcast Correction streams to
-disseminate the combination product while saving results in SP3 and Clock RINEX files.
-</p>
-<p><img src="IMG/screenshot10.png"/></p>
+serial or TCP communication link for the purpose of Precise Point Positioning.
+</p>
+<p><img src="IMG/Figure_01.png"width=900/></p>
 <p>Figure 1: Flowchart, BNC connected to a GNSS rover for Precise Point Positioning</p>
-
-<p>
-</p>
-<p><img src="IMG/screenshot01.png"/></p>
+<p>
+The second figure shows the conversion of RTCM streams to RINEX files.
+</p>
+<p>
+</p>
+<p><img src="IMG/Figure_02.png"width=900/></p>
 <p>Figure 2: Flowchart, BNC converting RTCM streams to RINEX batches</p>
-
-<p>
-</p>
-<p><img src="IMG/screenshot02.png"/></p>
+<p>
+The third figure shows a flow chart of BNC feeding a real-time GNSS engine, which
+estimates precise orbits and clocks. BNC is used in this scenario to encode SSR corrections to RTCM-SSR or IGS-SSR and upload
+them to an Ntrip Broadcaster.
+</p>
+<p>
+</p>
+<p><img src="IMG/Figure_03.png"width=900/></p>
 <p>Figure 3: Flowchart, BNC feeding a real-time GNSS engine and uploading encoded Broadcast Corrections</p>
-
-<p>
-</p>
-<p><img src="IMG/screenshot19.png"/></p>
+<p>
+The fourth figure shows BNC combining several Broadcast SSR Correction streams to
+disseminate the combination product while saving results in SP3, Clock RINEX and SINEX Bias files.
+</p>
+<p>
+</p>
+<p><img src="IMG/Figure_04.png"width=900/></p>
 <p>Figure 4: Flowchart, BNC combining Broadcast Correction streams</p>
 
@@ -627,5 +649,5 @@
 a 'Streams' section, a section for 'Log' tabs, and a 'Bottom menu bar' section, see figure below.
 </p>
-<p><img src="IMG/screenshot09.png"/></p>
+<p><img src="IMG/Figure_05.png"width=900/></p>
 <p>Figure 5: Sections on BNC's main window</p>
 
@@ -635,5 +657,7 @@
 support graphics. However, when using BNC in batch mode on Linux systems for
 producing plots, you need to make sure that at least a virtual X-Server like
-'Xvfb' is installed and the '-display' command line option is used.
+'Xvfb' is installed and the '-display' command line option is used. Alternatively,
+the command line option '--plattform' can be tried to use with the argument 'offscreen'
+and the '-display' command line option.
 </p>
 
@@ -661,7 +685,6 @@
 <p>
 Precompiled builds of BNC are available for MS Windows, Linux, and Mac OS X systems. They can be downloaded for
-installation from <a href="http://igs.bkg.bund.de/ntrip/download" target="_blank">http://igs.bkg.bund.de/ntrip/download</a>.
-Please ensure that you always use the latest released
- version of the program.
+installation from <a href="https://igs.bkg.bund.de/ntrip/bnc" target="_blank">https://igs.bkg.bund.de/ntrip/bnc</a>.
+Please ensure that you always use the latest released version of the program.
 </p>
 <p>
@@ -676,6 +699,6 @@
 <b>Linux Build:</b> Static library and shared library builds for BNC are provided for a selection of Linux distributions.
 Download the ZIP archive for a version which fits to your Linux system, unzip the archive and run the included BNC binary.
-A static build would be sufficient in case you do not want BNC to plot PPP results with Google Map (GM) or
-OpenStreetMap (OSM) maps in the background. GM/OSM usage requires BNC builds from shared libraries.
+A static build would be sufficient in case you do not want BNC to plot PPP results with
+OpenStreetMap (OSM) maps in the background. OSM usage requires BNC builds from shared libraries.
 </p>
 
@@ -695,5 +718,5 @@
 be checked out from Subversion repository <a href="http://software.rtcm-ntrip.org/svn/trunk/BNC"
 target="_blank">http://software.rtcm-ntrip.org/svn/trunk/BNC</a>. A ZIP archive available from
-<a href="http://igs.bkg.bund.de/ntrip/download" target="_blank">http://igs.bkg.bund.de/ntrip/download</a>
+<a href="https://igs.bkg.bund.de/ntrip/bnc" target="_blank">https://igs.bkg.bund.de/ntrip/bnc</a>
 provides the source code.
 </p>
@@ -875,5 +898,5 @@
 </ol>
 
-<p><img src="IMG/screenshot31.png"/></p>
+<p><img src="IMG/Figure_06.png"width=900/></p>
 <p>Figure 6: Management of configuration options in BNC:<br>
 <table>