Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 9837)
+++ trunk/BNC/src/bnchelp.html	(revision 9839)
@@ -36,6 +36,6 @@
 <br>
 
-<p>
 <h4>Authors</h4>
+<p>
 Georg Weber<sup>(1)</sup>, Leo&scaron; Mervart<sup>(2)</sup>, Andrea St&uuml;rze<sup>(1)</sup>, Dirk St&ouml;cker<sup>(3)</sup><br><br>
 
@@ -46,6 +46,6 @@
 <br>
 
-<p>
 <h4>Contact</h4>
+<p>
 Feel free to send comments, suggestions or bug reports to:
 <pre>
@@ -59,6 +59,6 @@
 <br>
 
-<p>
 <h4>Legal Notice</h4>
+<p>
 BNC has been written under GNU General Public License (GPL). Source code is available from Subversion software archive
  <a href="http://software.rtcm-ntrip.org/svn/trunk/BNC" target="_blank">http://software.rtcm-ntrip.org/svn/trunk/BNC</a>.
@@ -70,6 +70,6 @@
 <br>
 
-<p>
 <h4>Citation</h4>
+<p>
 To help justify funding the development of BNC,<sup>&nbsp;</sup>we kindly ask users to include a citation when applying the software results in a publication. We suggest:
 <br>
@@ -82,6 +82,6 @@
 <br>
 
-<p>
 <h4>Table of Contents</h4>
+<p>
 <b>1.</b> <a href="#genInstruction"><b>General Information</b></a><br><br>
 &nbsp; &nbsp; &nbsp; 1.1 <a href="#introPurpose">Purpose</a><br>
@@ -343,5 +343,5 @@
 </p>
 
-<p><h3 id="genInstruction">1. General Information</h3></p>
+<h3 id="genInstruction">1. General Information</h3>
 <p>
 The BKG Ntrip Client (BNC) is a program for simultaneously retrieving, decoding, converting and processing or
@@ -396,5 +396,5 @@
 </p>
 
-<p><h4 id="introPurpose">1.1 Purpose</h4></p>
+<h4 id="introPurpose">1.1 Purpose</h4>
 
 <p>
@@ -682,12 +682,13 @@
 </p>
 
-<p><h4 id="introInst">1.5 Installation</h4></p>
-<p>
-Precompiled builds of BNC are available for MS Windows, Linux, and Mac OS X systems. They can be downloaded for
+<h4 id="introInst">1.5 Installation</h4>
+<p>
+Precompiled builds of BNC are available for Windows, Linux, and Mac OS X systems. They can be downloaded for
 installation from <a href="https://igs.bkg.bund.de/ntrip/bnc" target="_blank">https://igs.bkg.bund.de/ntrip/bnc</a>.
-Please ensure that you always use the latest released version of the program.
-</p>
-<p>
-<b>MS Windows Build:</b> A dynamically compiled shared library build for Mircrosoft Windows systems is provided as
+Please ensure that you always use the latest version of the program.
+</p>
+
+<p>
+<b>Windows:</b> A dynamically compiled shared library build for Mircrosoft Windows systems is provided as
 Microsoft Installer (MSI) file. MSI files are used for installation, storage, and removal of programs.
 The BNC files are contained in a MSI package, which is used with the program's client-side installer service,
@@ -697,8 +698,6 @@
 
 <p>
-<b>Linux Build:</b> Static library and shared library builds for BNC are provided for a selection of Linux distributions.
+<b>Linux:</b> Shared library builds for BNC are provided for a selection of Linux distributions.
 Download the ZIP archive for a version which fits to your Linux system, unzip the archive and run the included BNC binary.
-A static build would be sufficient in case you do not want BNC to plot PPP results with
-OpenStreetMap (OSM) maps in the background. OSM usage requires BNC builds from shared libraries.
 </p>
 
@@ -712,15 +711,15 @@
 </p>
 
-<p><h4 id="introCompile">1.5.1 Compilation</h4></p>
+<h4 id="introCompile">1.5.1 Compilation</h4>
 
 <p>
 BNC has been written as Open Source and published under GNU General Public License (GPL). The latest source code can
-be checked out from Subversion repository <a href="http://software.rtcm-ntrip.org/svn/trunk/BNC"
+be checked out from the Subversion repository at <a href="http://software.rtcm-ntrip.org/svn/trunk/BNC"
 target="_blank">http://software.rtcm-ntrip.org/svn/trunk/BNC</a>. A ZIP archive available from
 <a href="https://igs.bkg.bund.de/ntrip/bnc" target="_blank">https://igs.bkg.bund.de/ntrip/bnc</a>
 provides the source code.
 </p>
-<p>The following describes how you can produce your own builds of BNC on MS Windows, Linux, and Mac systems.
-It is likely that BNC can also be compiled on other systems where a GNU compiler and Qt Version 4.8 or any later
+<p>The following describes how you can produce your own builds of BNC on Windows, Linux, and Mac systems.
+It is likely that BNC can also be compiled on other systems where a GNU compiler and Qt Version 5 or any later
  version is installed.
 </p>
@@ -805,36 +804,15 @@
 <p>
 <b>Linux Systems</b><br>
-On Linux systems you may use the following procedure to install a shared Qt version 4.8.5 library:
-</p>
-
-<p>
-Download file 'qt-everywhere-opensource-src-4.8.5.tar.gz' (230 MB) available from <a href="https://download.qt.io/archive/qt/4.8/4.8.5/"
-target="_blank">https://download.qt.io/archive/qt/4.8/4.8.5/</a>. Unzip file, extract tar archive and change to
-directory 'qt-everywhere-opensource-src-4.8.5'. Run commands
-<pre>
-  ./configure -fast -webkit -nomake examples -nomake tutorial
-              -prefix /usr/local/Trolltech/Qt-4.8.5
-  gmake
-  gmake install
-</pre>
-</p>
-
-<p>
-Qt will be installed into directory <i>/usr/local/Trolltech/Qt-4.8.5</i>. To reconfigure, run 'gmake confclean' and 'configure'.
-Note that the '-prefix' option allows you to specify a directory for saving the Qt libraries. This ensures that you do not run
-into conflicts with other Qt installations on your host. Note further that the following two lines<pre>
-  export QTDIR="/usr/local/Trolltech/Qt-4.8.5"
-  export PATH="$QTDIR/bin:$PATH"</pre>
-
-need to be added either to $HOME/.bash_profile or $HOME/.bashrc. Once that is done, logout/login and start using Qt 4.8.5.
-</p>
-<p>
-To compile the BNC program, you first download the source code from SVN repository <a href="http://software.rtcm-ntrip.org/svn/trunk/BNC"
-target="_blank">http://software.rtcm-ntrip.org/svn/trunk/BNC</a>. Go to directory BNC and run the following commands: <pre>
-  qmake bnc.pro
-  make
+Qt development tools have to be installed as well as some other libraries e.g. for openssl. They can be easily installed from
+your system repositories. BNC 2.13 needs Qt5. See the <a href="https://software.rtcm-ntrip.org/browser/ntrip/trunk/BNC/docker" target="_blank">docker files</a> for the most used Linux systems.
+To compile the BNC program, you first download the source code from the SVN repository <a href="http://software.rtcm-ntrip.org/svn/trunk/BNC"
+target="_blank">http://software.rtcm-ntrip.org/svn/trunk/BNC</a>. Go to directory BNC and run the following commands:<br>
+<pre>
+    qmake bnc.pro
+    make
 </pre>
 You will find a build of BNC in directory BNC.
 </p>
+
 <p>
 <b>Mac OS X Systems</b><br>
@@ -959,5 +937,5 @@
 
 <p>
-Note that the account for an Ntrip Broadcaster is usually limited to pulling a specified maximum number of streams at the same time. As running some of the example configurations requires pulling several streams, it is suggested to make sure that you do not exceed your account's limits.
+  Note that the account for an Ntrip Broadcaster is usually limited to pulling a specified maximum number of streams at the same time. As running some of the example configurations requires pulling several streams, it is suggested to make sure that you do not exceed your account's limits.
 </p>
 