Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 9854)
+++ trunk/BNC/src/bncwindow.cpp	(revision 9866)
@@ -1031,71 +1031,71 @@
   pppGroup1->setLayout(pppLayout1);
 
-  QVBoxLayout* pppLayout2 = new QVBoxLayout();
-  pppLayout2->addWidget(new QLabel("Precise Point Positioning - Processed Stations.<br>"));
-  pppLayout2->addWidget(_pppWidgets._staTable, 99);
-  QHBoxLayout* pppLayout2sub = new QHBoxLayout();
-  pppLayout2sub->addWidget(_pppWidgets._addStaButton);
-  pppLayout2sub->addWidget(_pppWidgets._delStaButton);
-  pppLayout2sub->addStretch(99);
-
-  pppLayout2->addLayout(pppLayout2sub);
+  QGridLayout* pppLayout2 = new QGridLayout();
+  ir = 0;
+  pppLayout2->addWidget(new QLabel("Precise Point Positioning - Options.<br>"), ir, 0, 1, 2, Qt::AlignLeft);
+  ++ir;
+  pppLayout2->addWidget(new QLabel("GPS LCs"),              ir, 0, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._lcGPS,                 ir, 1);
+  pppLayout2->addItem(new QSpacerItem(8*ww, 0),             ir, 2);
+  pppLayout2->addWidget(new QLabel("Sigma C1"),             ir, 3, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._sigmaC1,               ir, 4); _pppWidgets._sigmaC1->setMaximumWidth(8*ww);
+  pppLayout2->addItem(new QSpacerItem(8*ww, 0),             ir, 5);
+  pppLayout2->addWidget(new QLabel("Sigma L1"),             ir, 6, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._sigmaL1,               ir, 7); _pppWidgets._sigmaL1->setMaximumWidth(8*ww);
+  ++ir;
+  pppLayout2->addWidget(new QLabel("GLONASS LCs"),          ir, 0, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._lcGLONASS,             ir, 1);
+  pppLayout2->addWidget(new QLabel("Max Res C1"),           ir, 3, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._maxResC1,              ir, 4); _pppWidgets._maxResC1->setMaximumWidth(8*ww);
+  pppLayout2->addWidget(new QLabel("Max Res L1"),           ir, 6, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._maxResL1,              ir, 7); _pppWidgets._maxResL1->setMaximumWidth(8*ww);
+  ++ir;
+  pppLayout2->addWidget(new QLabel("Galileo LCs"),          ir, 0, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._lcGalileo,             ir, 1);
+  pppLayout2->addWidget(new QLabel("Ele Wgt Code"),         ir, 3, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._eleWgtCode,            ir, 4);
+  pppLayout2->addWidget(new QLabel("Ele Wgt Phase"),        ir, 6, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._eleWgtPhase,           ir, 7);
+  ++ir;
+  pppLayout2->addWidget(new QLabel("BDS LCs"),              ir, 0, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._lcBDS,                 ir, 1);
+  pppLayout2->addWidget(new QLabel("Min # of Obs"),         ir, 3, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._minObs,                ir, 4);
+  pppLayout2->addWidget(new QLabel("Min Elevation"),        ir, 6, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._minEle,                ir, 7);_pppWidgets._minEle->setMaximumWidth(8*ww);
+  ++ir;
+  pppLayout2->addWidget(new QLabel("Model Obs"),            ir, 0, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._modelObs,              ir, 1);
+  pppLayout2->addWidget(new QLabel("Wait for clock corr."), ir, 3, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._corrWaitTime,          ir, 4);
+  pppLayout2->addWidget(new QLabel("Seeding (sec)"),        ir, 6, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._seedingTime,           ir, 7);_pppWidgets._seedingTime->setMaximumWidth(8*ww);
+  ++ir;
+  pppLayout2->addWidget(new QLabel("Pseudo Obs"),           ir, 0, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._pseudoObs,             ir, 1);
+  pppLayout2->addItem(new QSpacerItem(8*ww, 0),             ir, 2);
+  pppLayout2->addWidget(new QLabel("Sigma GIM"),            ir, 3, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._sigmaGIM,              ir, 4); _pppWidgets._sigmaGIM->setMaximumWidth(8*ww);
+  pppLayout2->addItem(new QSpacerItem(8*ww, 0),             ir, 5);
+  pppLayout2->addWidget(new QLabel("Max Res GIM"),            ir, 6, Qt::AlignLeft);
+  pppLayout2->addWidget(_pppWidgets._maxResGIM,        ir, 7); _pppWidgets._maxResGIM->setMaximumWidth(8*ww);
+  ++ir;
+  pppLayout2->addWidget(new QLabel(""),                     ir, 8);
+  pppLayout2->setColumnStretch(8, 999);
+  ++ir;
+  pppLayout2->addWidget(new QLabel(""),                     ir, 1);
+  pppLayout2->setRowStretch(ir, 999);
 
   pppGroup2->setLayout(pppLayout2);
 
-  QGridLayout* pppLayout3 = new QGridLayout();
-  ir = 0;
-  pppLayout3->addWidget(new QLabel("Precise Point Positioning - Options.<br>"), ir, 0, 1, 2, Qt::AlignLeft);
-  ++ir;
-  pppLayout3->addWidget(new QLabel("GPS LCs"),              ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._lcGPS,                 ir, 1);
-  pppLayout3->addItem(new QSpacerItem(8*ww, 0),             ir, 2);
-  pppLayout3->addWidget(new QLabel("Sigma C1"),             ir, 3, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._sigmaC1,               ir, 4); _pppWidgets._sigmaC1->setMaximumWidth(8*ww);
-  pppLayout3->addItem(new QSpacerItem(8*ww, 0),             ir, 5);
-  pppLayout3->addWidget(new QLabel("Sigma L1"),             ir, 6, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._sigmaL1,               ir, 7); _pppWidgets._sigmaL1->setMaximumWidth(8*ww);
-  ++ir;
-  pppLayout3->addWidget(new QLabel("GLONASS LCs"),          ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._lcGLONASS,             ir, 1);
-  pppLayout3->addWidget(new QLabel("Max Res C1"),           ir, 3, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._maxResC1,              ir, 4); _pppWidgets._maxResC1->setMaximumWidth(8*ww);
-  pppLayout3->addWidget(new QLabel("Max Res L1"),           ir, 6, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._maxResL1,              ir, 7); _pppWidgets._maxResL1->setMaximumWidth(8*ww);
-  ++ir;
-  pppLayout3->addWidget(new QLabel("Galileo LCs"),          ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._lcGalileo,             ir, 1);
-  pppLayout3->addWidget(new QLabel("Ele Wgt Code"),         ir, 3, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._eleWgtCode,            ir, 4);
-  pppLayout3->addWidget(new QLabel("Ele Wgt Phase"),        ir, 6, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._eleWgtPhase,           ir, 7);
-  ++ir;
-  pppLayout3->addWidget(new QLabel("BDS LCs"),              ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._lcBDS,                 ir, 1);
-  pppLayout3->addWidget(new QLabel("Min # of Obs"),         ir, 3, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._minObs,                ir, 4);
-  pppLayout3->addWidget(new QLabel("Min Elevation"),        ir, 6, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._minEle,                ir, 7);_pppWidgets._minEle->setMaximumWidth(8*ww);
-  ++ir;
-  pppLayout3->addWidget(new QLabel("Model Obs"),            ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._modelObs,              ir, 1);
-  pppLayout3->addWidget(new QLabel("Wait for clock corr."), ir, 3, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._corrWaitTime,          ir, 4);
-  pppLayout3->addWidget(new QLabel("Seeding (sec)"),        ir, 6, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._seedingTime,           ir, 7);_pppWidgets._seedingTime->setMaximumWidth(8*ww);
-  ++ir;
-  pppLayout3->addWidget(new QLabel("Pseudo Obs"),           ir, 0, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._pseudoObs,             ir, 1);
-  pppLayout3->addItem(new QSpacerItem(8*ww, 0),             ir, 2);
-  pppLayout3->addWidget(new QLabel("Sigma GIM"),            ir, 3, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._sigmaGIM,              ir, 4); _pppWidgets._sigmaGIM->setMaximumWidth(8*ww);
-  pppLayout3->addItem(new QSpacerItem(8*ww, 0),             ir, 5);
-  pppLayout3->addWidget(new QLabel("Max Res GIM"),            ir, 6, Qt::AlignLeft);
-  pppLayout3->addWidget(_pppWidgets._maxResGIM,        ir, 7); _pppWidgets._maxResGIM->setMaximumWidth(8*ww);
-  ++ir;
-  pppLayout3->addWidget(new QLabel(""),                     ir, 8);
-  pppLayout3->setColumnStretch(8, 999);
-  ++ir;
-  pppLayout3->addWidget(new QLabel(""),                     ir, 1);
-  pppLayout3->setRowStretch(ir, 999);
+  QVBoxLayout* pppLayout3 = new QVBoxLayout();
+  pppLayout3->addWidget(new QLabel("Precise Point Positioning - Processed Stations.<br>"));
+  pppLayout3->addWidget(_pppWidgets._staTable, 99);
+  QHBoxLayout* pppLayout3sub = new QHBoxLayout();
+  pppLayout3sub->addWidget(_pppWidgets._addStaButton);
+  pppLayout3sub->addWidget(_pppWidgets._delStaButton);
+  pppLayout3sub->addStretch(99);
+
+  pppLayout3->addLayout(pppLayout3sub);
 
   pppGroup3->setLayout(pppLayout3);