Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 9938)
+++ trunk/BNC/src/bncmain.cpp	(revision 9940)
@@ -108,5 +108,5 @@
       "   proxyPort         {Proxy port [integer number]}\n"
       "   sslCaCertPath     {Full path to SSL certificates [character string]}\n"
-      "   sslClientCertPath {Full path to SSL client certificates [character string]}\n"
+      "   sslClientCertPath {Full path to client SSL certificates [character string]}\n"
       "   sslIgnoreErrors   {Ignore SSL authorization errors [integer number: 0=no,2=yes]}\n"
       "\n"
@@ -122,10 +122,11 @@
       "   rnxIntr        {File interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}\n"
       "   rnxSampl       {File sampling rate [character string: 0.1 sec|1 sec|5 sec|10 sec|15 sec|30 sec|60 sec]}\n"
-      "   rnxSkel        {RINEX skeleton file extension [character string]}\n"
+      "   rnxSkel        {RINEX skeleton file extension [character string: skl|SKL]}\n"
       "   rnxSkelPath    {Directory for local skeleton files [character string]}\n"
       "   rnxOnlyWithSKL {Using RINEX skeleton file is mandatory [integer number: 0=no,2=yes]}\n"
       "   rnxScript      {File upload script, full path [character string]}\n"
-      "   rnxV2Priority  {Priority of signal attributes [character string, list separated by blank character, example: G:12&PWCSLXYN G:5&IQX C:267&IQX]}\n"
-      "   rnxVersion     {Specifies the RINEX version of the file contents [integer number: 2|3|4 ]}\n"
+	  "   rnxVersion     {Specifies the RINEX version of the file contents [integer number: 2|3|4]}\n"
+      "   rnxV2Priority  {Priority of signal attributes for RINEX version 2 [character string, list separated by blank character,\n"
+      "                   example: G:12&PWCSLX G:5&IQX R:12&PC R:3&IQX R:46&ABX E:16&BCXZ E:578&IQX J:1&SLXCZ J:26&SLX J:5&IQX C:267&IQX C:18&DPX I:ABCX S:1&C S:5&IQX]}\n"
       "\n"
       "RINEX Ephemeris Panel keys:\n"
@@ -143,9 +144,11 @@
       "   reqcOutLogFile        {Output logfile, full path [character string]}\n"
       "   reqcLogSummaryOnly    {Output only summary of logfile [integer number: 0=no,2=yes]}\n"
-      "   reqcSkyPlotSignals    {Observation signals [character string, list separated by blank character, example: C:2&6 E:1&5 G:1&2 J:1&2 R:1&2 S:1&5 I:5&9]}\n"
+      "   reqcSkyPlotSignals    {Observation signals [character string, list separated by blank character,\n"
+      "                          example: G:1&2&5 R:1&2&3 E:1&7 C:2&6 J:1&2 I:5&9 S:1&5]}\n"
       "   reqcPlotDir           {QC plots directory [character string]}\n"
-      "   reqcRnxVersion        {RINEX version [integer number: 2|3]}\n"
+      "   reqcRnxVersion        {RINEX version [integer number: 2|3|4]}\n"
       "   reqcSampling          {RINEX output file sampling rate [character string: 0.1 sec|1 sec|5 sec|10 sec|15 sec|30 sec|60 sec]}\n"
-      "   reqcV2Priority        {Version 2 priority of signal attributes [character string, list separated by blank character, example: G:12&PWCSLX G:5&IQX]}\n"
+      "   reqcV2Priority        {Version 2 priority of signal attributes [character string, list separated by blank character,\n"
+      "                          example: G:12&PWCSLX G:5&IQX R:12&PC R:3&IQX R:46&ABX E:16&BCXZ E:578&IQX J:1&SLXCZ J:26&SLX J:5&IQX C:267&IQX C:18&DPX I:ABCX S:1&C S:5&IQX]}\n"
       "   reqcStartDateTime     {Start time [character string, example: 1967-11-02T00:00:00]}\n"
       "   reqcEndDateTime       {Stop time [character string, example: 2099-01-01T00:00:00 }\n"
@@ -239,8 +242,6 @@
       "   PPP/lcBDS        {Select observations from BDS code and/or phase data [character string:     Pi&Li|Pi|Li|no]}\n"
       "   PPP/modelObs     {select observation model [character string: Uncombined PPP|Ionosphere-free PPP|DCM with Code Biases|DCM with Phase Biases]}\n"
-      "   PPP/pseudoOb     {select pseudo observations [character string: no|Ionosphere]}\n"
       "   PPP/sigmaC1      {Sigma for code observations in meters [floating-point number]}\n"
       "   PPP/sigmaL1      {Sigma for phase observations in meters [floating-point number]}\n"
-      "   PPP/sigmaGIM     {Sigma for GIM pseudo observations in meters [floating-point number]}\n"
       "   PPP/maxResC1     {Maximal residuum for code observations in meters [floating-point number]}\n"
       "   PPP/maxResL1     {Maximal residuum for phase observations in meters [floating-point number]}\n"
@@ -251,8 +252,14 @@
       "   PPP/corrWaitTime {Wait for clock corrections [integer number of seconds: 0-20]}\n"
       "   PPP/seedingTime  {Seeding time span for Quick Start [integer number of seconds]}\n"
+#ifdef USE_PPP
+      "   PPP/pseudoOb     {Select pseudo observations [character string: no|Ionosphere]}\n"
+      "   PPP/sigmaGIM     {Sigma for GIM pseudo observations in meters [floating-point number]}\n"
+      "   PPP/maxResGIM    {Maximal residuum for GIM pseudo observations in meters [floating-point number]}\n"
+#endif
       "\n"
       "PPP Client Panel 3 keys:\n"
       "   PPP/staTable {Station specifications table [character string, semicolon separated list, each element in quotaion marks, example:\n"
-      "                \"FFMJ00DEU1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0.1,7777;CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0.1,7778\"]}\n"
+      "                \"WTZR00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0,G:12&CWPSLX R:12&CP E:1&CBX E:5&QIX C:26&IQX;\n"
+      "                FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0,G:12&CWPSLX R:12&CP E:1&CBX E:5&QIX C:26&IQX\"]}\n"
       "\n"
       "PPP Client Panel 4 keys:\n"
@@ -266,5 +273,6 @@
       "   cmbStreams      {Correction streams table [character string, semicolon separated list, each element in quotation marks, example:\n"
       "                   \"SSRA00ESA0 ESA 1.0;SSRA00BKG BKG 1.0\"]}\n"
-      "   cmbMethodFilter {Combination approach [character string: Single-Epoch|Filter]\n"
+      "   cmbMethodFilter {Combination approach [character string: Single-Epoch|Filter]}\n"
+      "   cmbBsxFile      {SINEX Bias file, full path [char string]}\n"
       "   cmbMaxres       {Clock outlier residuum threshold in meters [floating-point number]\n"
       "   cmbSampl        {Clock sampling rate [integer number of seconds: 0|10|20|30|40|50|60]}\n"
@@ -272,5 +280,5 @@
       "   cmbGlo          {GLONASS correction usage [integer number: 0=no,2=yes]}\n"
       "   cmbGal          {Galileo correction usage [integer number: 0=no,2=yes]}\n"
-      "   cmbBds          {BDS correction usage [integer number: 0=no,2=yes]}\n"
+      "   cmbBds          {Beidou correction usage [integer number: 0=no,2=yes]}\n"
       "   cmbQzss         {QZSS correction usage [integer number: 0=no,2=yes]}\n"
       "   cmbSbas         {SBAS correction usage [integer number: 0=no,2=yes]}\n"
@@ -279,10 +287,11 @@
       "Upload Corrections Panel keys:\n"
       "   uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:\n"
-      "                          \"igs-ip.net,2101,SSRA03IGS0,1,,pass,IGS20,RTCM-SSR,0,/home/user/BKG0MGXRTS${V3PROD}.sp3,/home/user/BKG0MGXRTS${V3PROD}.clk,/home/user/BKG0MGXRTS${V3PROD}.bia,258,1,0;\n"
-      "                          euref-ip.net,2101,EUREF01,1,,pass,ETRF2000,RTCM-SSR,0,,,258,2,0\"]}\n"
+      "                          \"products.igs-ip.net,2101,SSRA02IGS1,2,usr,pass,IGS20,IGS-SSR,0,/home/user/BKG0MGXRTS${V3PROD}.sp3,/home/user/BKG0MGXRTS${V3PROD}.clk,/home/user/BKG0MGXRTS${V3PROD}.bia,258,1,0;\n"
+      "                          euref-ip.net,2101,SSRA02IGS1_EUREF,2,usr,pass,ETRF2000,RTCM-SSR,0,,,,258,2,0\"]}\n"
       "   uploadIntr             {Length of SP3, Clock RINEX and Bias SINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}\n"
       "   uploadSamplRtcmEphCorr {Orbit corrections stream sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}\n"
       "   uploadSamplSp3         {SP3 file sampling rate [integer number of minutes: 0-15]}\n"
       "   uploadSamplClkRnx      {Clock RINEX file sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}\n"
+	  "   uploadSamplBiaSnx      {SINEX Bias file sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}\n"
       "\n"
       "Custom Trafo keys:\n"
@@ -305,11 +314,10 @@
       "Upload Ephemeris Panel keys:\n"
       "   uploadEphMountpointsOut {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:\n"
-      "                           \"igs-ip.net,2101,BCEP00BKG0,1,,pass,ALL\"]}\n"
+      "                           \"products.igs-ip.net,443,BCEP00BKG0,2s,usr,pass,ALL;products.igs-ip.net,443,BCEP01BKG0,2s,usr,pass,G\"]}\n"
       "   uploadSamplRtcmEph      {Stream upload sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}\n"
       "\n"
       "Add Stream keys:\n"
       "   mountPoints   {Mountpoints [character string, semicolon separated list, example:\n"
-      "                 \"//user:pass@igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2;\n"
-      "                 //user:pass@igs-ip.net:2101/FFMJ00DEU0 RTCM_3.1 DEU 50.09 8.66 no 2\"}\n"
+      "                 \"//user:pass@igs-ip.net:2101/FFMJ00DEU0 RTCM_3.3 DEU 50.09 8.66 no 2;//user:pass@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 ETH 9.03 38.74 no 2\"}\n"
       "   ntripVersion  {Ntrip Version [character string: 1|2|2s|R|U]}\n"
       "   casterUrlList {Visited Broadcasters [character string, comma separated list]}\n"
@@ -329,16 +337,16 @@
       "(1) /home/weber/bin/bnc\n"
       "(2) /Applications/bnc.app/Contents/MacOS/bnc\n"
-      "(3) /home/weber/bin/bnc --conf /home/weber/MyConfigFile.bnc\n"
-      "(4) bnc --conf /Users/weber/.config/BKG/BNC.bnc -nw\n"
+      "(3) /home/userName/bin/bnc --conf /home/userName/MyConfigFile.bnc\n"
+      "(4) bnc --conf /Users/userName/.config/BKG/BNC.bnc -nw\n"
       "(5) bnc --conf /dev/null --key startTab 4 --key reqcAction Edit/Concatenate"
-      " --key reqcObsFile AGAR.15O --key reqcOutObsFile AGAR_X.15O"
-      " --key reqcRnxVersion 2 --key reqcSampling 30 sec --key reqcV2Priority G:12&PWCSLX G:5&IQX\n"
-      "(6) bnc --key mountPoints \"//user:pass@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 ETH 9.03 38.74 no 2;"
+      " --key reqcObsFile BRUX00BEL_S_20211251100_15M_01S_MO.rnx --key reqcOutObsFile BRUX00BEL_S_20211251100_15M_01S_MO_OUT.rnx"
+      " --key reqcRnxVersion 2 --key reqcSampling \"30 sec\" --key reqcV2Priority \"G:12&PWCSLX G:5&IQX\"\n"
+      "(6) bnc --conf /dev/null --key mountPoints \"//user:pass@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 ETH 9.03 38.74 no 2;"
       "//user:pass@igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2\"\n"
-      "(7) bnc --key cmbStreams \"CLK11 BLG 1.0;CLK93 CNES 1.0\"\n"
-      "(8) bnc --key uploadMountpointsOut \"products.igs-ip.net,98756,TEST,letmein,IGS20,2,/Users/weber/BKG0MGXRTS${V3PROD}.clk,,33,3,2;"
-      "euref-ip.net,333,TEST2,aaaaa,ETRF2000,2,,,33,5,5\"\n"
-      "(9) bnc --key PPP/staTable \"FFMJ00DEU1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;"
-      "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0.1,7778\"\n";
+      "(7) bnc --conf /dev/null --key startTab 15 --key cmbStreams \"SSRA00BKG1 BKG 1.0;SSRA00CNE1 CNES 1.0\"\n"
+      "(8) bnc --conf /dev/null --key startTab 16 --key uploadMountpointsOut \"products.igs-ip.net,2101,SSRC00BKG1,2,usr,pass,IGS20,RTCM-SSR,2,/Users/userName/BKG0MGXRTS${V3PROD}.clk,,,33,3,2;"
+      "euref-ip.net,443,SSRA00BKG1_EUREF,2s,usr,pass,ETRF2000,IGS-SSR,0,,,,33,5,5\"\n"
+      "(9) bnc --conf /dev/null --key startTab 13 --key PPP/dataSource \"Real-Time Streams\" --key PPP/staTable \"FFMJ00DEU1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777,G:12&CWPSLX R:12&CP E:1&CBX E:5&QIX C:26&IQX;"
+      "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7778,G:12&CWPSLX R:12&CP E:1&CBX E:5&QIX C:26&IQX\"\n";
 
 